import QRCode from 'qrcode';
import { Message } from 'element-ui';
import { CHAIN_BROWSER_URL } from "@/config/URLS";

function getChainBrowserUrl(hash: string): string {
  return `${CHAIN_BROWSER_URL}${hash}`;
}

/**
 * 打开区块链浏览器查询商品
 * @param hash
 */
export function openChainBrowser(hash: string) {
  window.open(getChainBrowserUrl(hash));
}
// 返回支付二维码
export async function payQR(pay_url: string) {
  const res = await QRCode.toDataURL(pay_url)
  if (res) {
    return res
  }
}
// 返回二维码
export async function getQR(hash: string) {
  const res = await QRCode.toDataURL(getChainBrowserUrl(hash))
  if (res) {
    return res
  }
}
// 下载二维码
export async function downloadQrCode(hash: string) {
  QRCode.toDataURL(getChainBrowserUrl(hash))
    .then(url => {
      const a = document.createElement('a');
      a.download = `二维码${Date.now()}`;
      a.href = url;
      document.body.appendChild(a);
      a.click();
      document.body.removeChild(a);
    })
    .catch(() => {
      // Notification.error('');
      Message.error('生成二维码失败');
    });
}
